__gnu_parallel::_LoserTreePointerBase< _Tp, _Compare > Class Template Reference
Inheritance diagram for __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >:
[legend]

## Classes

struct | _Loser

## Public Member Functions

| _LoserTreePointerBase (unsigned int __k, _Compare __comp=std::less< _Tp >())
int | __get_min_source ()
void | __insert_start (const _Tp &__key, int __source, bool __sup)

## Protected Attributes

_Compare | _M_comp
unsigned int | _M_ik
unsigned int | _M_k
_Loser * | _M_losers
unsigned int | _M_offset

## Detailed Description

### template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >

Base class of _Loser Tree implementation using pointers.

Definition at line 357 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h